Bug 219977 - mail/rainloop: update to 1.11.1
Summary: mail/rainloop: update to 1.11.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olivier Cochard
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-14 01:39 UTC by Yasuhiro KIMURA
Modified: 2017-06-14 23:05 UTC (History)
3 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
patch file (59.88 KB, patch)
2017-06-14 01:39 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2017-06-14 01:39:47 UTC
Created attachment 183467 [details]
patch file

* Update to 1.11.1.
* Sort plist.
Comment 1 loic.blot 2017-06-14 15:24:15 UTC
Tested, it works nice

here is the testport

====>> Building mail/rainloop
build started at Wed Jun 14 17:13:07 CEST 2017
port directory: /usr/ports/mail/rainloop
building for: FreeBSD 103-default-job-04 10.3-RELEASE-p19 FreeBSD 10.3-RELEASE-p19 amd64
maintained by: loic.blot@unix-experience.fr
Makefile ident:      $FreeBSD: head/mail/rainloop/Makefile 436671 2017-03-22 01:24:38Z adamw $
Poudriere version: 3.1.17_1
Host OSVERSION: 1003000
Jail OSVERSION: 1003000
Job Id: 04

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p19
UNAME_r=10.3-RELEASE-p19
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen-256color
MASTERMNT=/usr/local/poudriere/data/.m/103-default/ref
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=rainloop-1.11.1
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/103-default/ref/.p/pool
MASTERNAME=103-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.17_1
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for rainloop-1.11.1:
====> Options available for the radio DB: you can only select none or one of them
     MYSQL=off: MySQL database support
     PGSQL=on: PostgreSQL database support
     SQLITE=off: SQLite database support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/mail/rainloop/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/mail/rainloop/work  HOME=/wrkdirs/usr/ports/mail/rainloop/work TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/mail/rainloop/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/mail/rainloop/work  HOME=/wrkdirs/usr/ports/mail/rainloop/work TMPDIR="/tmp" NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_K
ERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -march=native -mtune=native -O2 -pipe -mssse3 -msse4.2 -mavx2  -fstack-protecto
r -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -march=native -mtune=native -O2 -pipe -mssse3 -msse4.2 -mavx2 -fstack-protector -fno-strict-a
liasing -march=native -mtune=native -O2 -pipe -mssse3 -msse4.2 -mavx2 "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m
555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
VER="1.11.1"
WWWOWN="www"
WWWGRP="www"
PHP_EXT_DIR=20160303
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS="@comment
"
PORTEXAMPLES="@comment
"
LIB32DIR=lib
DOCSDIR="share/doc/rainloop"
EXAMPLESDIR="share/examples/rainloop"
DATADIR="share/rainloop"
WWWDIR="www/rainloop"
ETCDIR="etc/rainloop"
--End PLIST_SUB--

--SUB_LIST--
PHP_EXT_DIR=20160303
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/rainloop
DOCSDIR=/usr/local/share/doc/rainloop
EXAMPLESDIR=/usr/local/share/examples/rainloop
WWWDIR=/usr/local/www/rainloop
ETCDIR=/usr/local/etc/rainloop
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/COMMON-make.conf ####
WITH_PKGNG=yes
WITHOUT_X11=yes
WITHOUT="X11"
JAVA_VERSION=1.8
OPTIONS_UNSET+=DOCS X11 EXAMPLES

DEFAULT_VERSIONS+=apache=2.4
DEFAULT_VERSIONS+=postgresql=9.6
DEFAULT_VERSIONS+=pgsql=9.6
DEFAULT_VERSIONS+=mysql=101m
DEFAULT_VERSIONS+=php=71
DEFAULT_VERSIONS+=ssl=openssl

CFLAGS+=-march=native -mtune=native -O2 -pipe -mssse3 -msse4.2 -mavx2
CXXFLAGS+=-march=native -mtune=native -O2 -pipe -mssse3 -msse4.2 -mavx2
WITH_PKGNG=yes
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
UID=0
_JAVA_OS_LIST_REGEXP=native\|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
_OSRELEASE=10.3-RELEASE-p19
_SMP_CPUS=8
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  34160
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License RainLoop accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rainloop-1.11.1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[103-default-job-04] Installing pkg-1.10.1...
[103-default-job-04] Extracting pkg-1.10.1: .......... done
===>   rainloop-1.11.1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rainloop-1.11.1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License RainLoop accepted by the user
=> rainloop-1.11.1.zip doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://github.com/RainLoop/rainloop-webmail/releases/download/v1.11.1/rainloop-1.11.1.zip
rainloop-1.11.1.zip                                      0  B    0  Bps
===> Fetching all distfiles required by rainloop-1.11.1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License RainLoop accepted by the user
===> Fetching all distfiles required by rainloop-1.11.1 for building
=> SHA256 Checksum OK for rainloop-1.11.1.zip.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License RainLoop accepted by the user
===> Fetching all distfiles required by rainloop-1.11.1 for building
===>  Extracting for rainloop-1.11.1
=> SHA256 Checksum OK for rainloop-1.11.1.zip.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rainloop-1.11.1
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rainloop-1.11.1
===========================================================================
=======================<phase: build          >============================
===========================================================================
=======================<phase: run-depends    >============================
===>   rainloop-1.11.1 depends on file: /usr/local/include/php/main/php.h - not found
===>   Installing existing package /packages/All/php71-7.1.6.txz
[103-default-job-04] Installing php71-7.1.6...
[103-default-job-04] `-- Installing libxml2-2.9.4...
[103-default-job-04] `-- Extracting libxml2-2.9.4: .......... done
[103-default-job-04] `-- Installing pcre-8.40...
[103-default-job-04] `-- Extracting pcre-8.40: .......... done
[103-default-job-04] Extracting php71-7.1.6: .......... done
===>   rainloop-1.11.1 depends on file: /usr/local/include/php/main/php.h - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/curl.so - not found
===>   Installing existing package /packages/All/php71-curl-7.1.6.txz
[103-default-job-04] Installing php71-curl-7.1.6...
[103-default-job-04] `-- Installing curl-7.54.0...
[103-default-job-04] |   `-- Installing ca_root_nss-3.31...
[103-default-job-04] |   `-- Extracting ca_root_nss-3.31: ........ done
[103-default-job-04] |   `-- Installing libidn2-2.0.2...
[103-default-job-04] |   | `-- Installing indexinfo-0.2.6...
[103-default-job-04] |   | `-- Extracting indexinfo-0.2.6: .... done
[103-default-job-04] |   | `-- Installing libunistring-0.9.7...
[103-default-job-04] |   | `-- Extracting libunistring-0.9.7: .......... done
[103-default-job-04] |   `-- Extracting libidn2-2.0.2: .......... done
[103-default-job-04] |   `-- Installing libpsl-0.17.0...
[103-default-job-04] |   | `-- Installing gettext-runtime-0.19.8.1_1...
[103-default-job-04] |   | `-- Extracting gettext-runtime-0.19.8.1_1: .......... done
[103-default-job-04] |   | `-- Installing icu-58.2_2,1...
[103-default-job-04] |   | `-- Extracting icu-58.2_2,1: .......... done
[103-default-job-04] |   `-- Extracting libpsl-0.17.0: .......... done
[103-default-job-04] |   `-- Installing openssl-1.0.2l,1...
[103-default-job-04] |   `-- Extracting openssl-1.0.2l,1: .......... done
[103-default-job-04] `-- Extracting curl-7.54.0: .......... done
[103-default-job-04] Extracting php71-curl-7.1.6: ....... done
Message from ca_root_nss-3.31:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from openssl-1.0.2l,1:
Edit /usr/local/openssl/openssl.cnf to fit your needs.
Message from php71-curl-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-curl.ini
configuration file to automatically load the installed extension:

extension=curl.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/curl.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/iconv.so - not found
===>   Installing existing package /packages/All/php71-iconv-7.1.6.txz
[103-default-job-04] Installing php71-iconv-7.1.6...
[103-default-job-04] `-- Installing libiconv-1.14_10...
[103-default-job-04] `-- Extracting libiconv-1.14_10: .......... done
[103-default-job-04] Extracting php71-iconv-7.1.6: ....... done
Message from php71-iconv-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-iconv.ini
configuration file to automatically load the installed extension:

extension=iconv.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/iconv.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/json.so - not found
===>   Installing existing package /packages/All/php71-json-7.1.6.txz
[103-default-job-04] Installing php71-json-7.1.6...
[103-default-job-04] Extracting php71-json-7.1.6: .......... done
Message from php71-json-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-json.ini
configuration file to automatically load the installed extension:

extension=json.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/json.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/xml.so - not found
===>   Installing existing package /packages/All/php71-xml-7.1.6.txz
[103-default-job-04] Installing php71-xml-7.1.6...
[103-default-job-04] Extracting php71-xml-7.1.6: ........ done
Message from php71-xml-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-xml.ini
configuration file to automatically load the installed extension:

extension=xml.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/xml.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/dom.so - not found
===>   Installing existing package /packages/All/php71-dom-7.1.6.txz
[103-default-job-04] Installing php71-dom-7.1.6...
[103-default-job-04] Extracting php71-dom-7.1.6: .......... done
Message from php71-dom-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-dom.ini
configuration file to automatically load the installed extension:

extension=dom.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/dom.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/openssl.so - not found
===>   Installing existing package /packages/All/php71-openssl-7.1.6.txz
[103-default-job-04] Installing php71-openssl-7.1.6...
[103-default-job-04] Extracting php71-openssl-7.1.6: ....... done
Message from php71-openssl-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-openssl.ini
configuration file to automatically load the installed extension:

extension=openssl.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/openssl.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/zlib.so - not found
===>   Installing existing package /packages/All/php71-zlib-7.1.6.txz
[103-default-job-04] Installing php71-zlib-7.1.6...
[103-default-job-04] Extracting php71-zlib-7.1.6: ....... done
Message from php71-zlib-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-zlib.ini
configuration file to automatically load the installed extension:

extension=zlib.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/zlib.so - found
===>   Returning to build of rainloop-1.11.1
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/pdo_pgsql.so - not found
===>   Installing existing package /packages/All/php71-pdo_pgsql-7.1.6.txz
[103-default-job-04] Installing php71-pdo_pgsql-7.1.6...
[103-default-job-04] `-- Installing php71-pdo-7.1.6...
[103-default-job-04] `-- Extracting php71-pdo-7.1.6: .......... done
[103-default-job-04] `-- Installing postgresql96-client-9.6.3...
[103-default-job-04] |   `-- Installing perl5-5.24.1_1...
[103-default-job-04] |   `-- Extracting perl5-5.24.1_1: .......... done
[103-default-job-04] `-- Extracting postgresql96-client-9.6.3: .......... done
[103-default-job-04] Extracting php71-pdo_pgsql-7.1.6: ........ done
Message from php71-pdo-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-20-pdo.ini
configuration file to automatically load the installed extension:

extension=pdo.so

****************************************************************************
Message from perl5-5.24.1_1:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from postgresql96-client-9.6.3:
The PostgreSQL port has a collection of "side orders":

postgresql-docs
  For all of the html documentation

p5-Pg
  A perl5 API for client access to PostgreSQL databases.

postgresql-tcltk
  If you want tcl/tk client support.

postgresql-jdbc
  For Java JDBC support.

postgresql-odbc
  For client access from unix applications using ODBC as access
  method. Not needed to access unix PostgreSQL servers from Win32
  using ODBC. See below.

ruby-postgres, py-PyGreSQL
  For client access to PostgreSQL databases using the ruby & python
  languages.

postgresql-plperl, postgresql-pltcl & postgresql-plruby
  For using perl5, tcl & ruby as procedural languages.

postgresql-contrib
  Lots of contributed utilities, postgresql functions and
  datatypes. There you find pg_standby, pgcrypto and many other cool
  things.

etc...
Message from php71-pdo_pgsql-7.1.6:
****************************************************************************

The following line has been added to your /usr/local/etc/php/ext-30-pdo_pgsql.ini
configuration file to automatically load the installed extension:

extension=pdo_pgsql.so

****************************************************************************
===>   rainloop-1.11.1 depends on file: /usr/local/lib/php/20160303/pdo_pgsql.so - found
===>   Returning to build of rainloop-1.11.1
===========================================================================
=======================<phase: stage          >============================
===>  Staging for rainloop-1.11.1
===>   Generating temporary packing list
install  -m 0644 /wrkdirs/usr/ports/mail/rainloop/work/rainloop-1.11.1/data/* /wrkdirs/usr/ports/mail/rainloop/work/stage/usr/local/www/rainloop/data
install  -m 0644 /wrkdirs/usr/ports/mail/rainloop/work/rainloop-1.11.1/index.php /wrkdirs/usr/ports/mail/rainloop/work/stage/usr/local/www/rainloop
(cd /wrkdirs/usr/ports/mail/rainloop/work/rainloop-1.11.1 && /bin/sh -c '(/usr/bin/find -Ed $0 $2 | /usr/bin/cpio -dumpl $1 >/dev/null 2>&1) &&  /usr/bin/find -Ed $0 $2 \(   -type d -exec /bin/sh -c '\''cd '\''$1'\'' && chmod 755 "$@"'\'' -- . {} +  -o -type f -exec /bin/sh -c '\''cd '\''$1'\'' && chmod 0644 "$@"'\'' -- . {} + \)' -- rainloop /wrkdirs/usr/ports/mail/rainloop/work/stage/usr/local/www/rainloop)
====> Compressing man pages (compress-man)
===========================================================================
=======================<phase: package        >============================
===>  Building package for rainloop-1.11.1
===========================================================================
====>> Cleaning up wrkdir
===>  Cleaning for rainloop-1.11.1
build of mail/rainloop ended at Wed Jun 14 17:13:28 CEST 2017
build time: 00:00:21
Comment 2 commit-hook freebsd_committer 2017-06-14 22:46:25 UTC
A commit references this bug:

Author: olivier
Date: Wed Jun 14 22:45:46 UTC 2017
New revision: 443606
URL: https://svnweb.freebsd.org/changeset/ports/443606

Log:
  Update to 1.11.1

  PR:		219977
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Reviewed by:	maintainer

Changes:
  head/mail/rainloop/Makefile
  head/mail/rainloop/distinfo
  head/mail/rainloop/pkg-plist
Comment 3 Olivier Cochard freebsd_committer 2017-06-14 22:48:21 UTC
Thanks!
Comment 4 Adam Weinberger freebsd_committer 2017-06-14 22:51:09 UTC
What about rainloop-community?
Comment 5 Olivier Cochard freebsd_committer 2017-06-14 22:55:52 UTC
(In reply to Adam Weinberger from comment #4)

There is no "version" data into the mail/rainloop-community/Makefile.
Comment 6 Olivier Cochard freebsd_committer 2017-06-14 22:57:54 UTC
(In reply to Olivier Cochard from comment #5)

Oops: I've seen your point now :-)
Comment 7 Adam Weinberger freebsd_committer 2017-06-14 23:00:10 UTC
It has its own distinfo and plist, but gets the filename from rainloop/Makefile. Sorry, I really should have said that earlier.

Generally, you can get the distfile from the instructions in rainloop/Makefile, and the plist can usually be just copied over.
Comment 8 commit-hook freebsd_committer 2017-06-14 23:03:44 UTC
A commit references this bug:

Author: olivier
Date: Wed Jun 14 23:03:33 UTC 2017
New revision: 443610
URL: https://svnweb.freebsd.org/changeset/ports/443610

Log:
  Update rainloop-community version to 1.11.1 (should be included with r443606)

  PR:		219977
  Reported by:	adamw

Changes:
  head/mail/rainloop-community/distinfo
  head/mail/rainloop-community/pkg-plist
Comment 9 Adam Weinberger freebsd_committer 2017-06-14 23:05:48 UTC
Thanks, Olivier!